package com.ym.mec.thirdparty.threadLocal;

/**
 * 审核状态枚举（审批中、拒绝、通过）
 */
public enum BucketEnum implements BaseEnum<String, BucketEnum> {
	daya("daya", "默认"),
	daya_docs("daya-docs", "文档"),
	im("i-m", "聊天"),
	live_rewind("live-rewind", "直播"),
	mall("mall", "商城"),
	news_info("news-info", "新闻资讯"),
	contracts("contracts", "合同"),
	homework("homework", "作业");

	private String code;

	private String msg;

	BucketEnum(String code, String msg) {
		this.code = code;
		this.msg = msg;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	@Override
	public String getCode() {
		return this.code;
	}
}
